Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions
tlp::CSVParserConfigurationWidget Class Reference

`#include <CSVParserConfigurationWidget.h>`

List of all members.

## Public Slots

- void setFileToOpen (const QString &fileToOpen)

## Signals

- void parserChanged ()

## Public Member Functions

- CSVParserConfigurationWidget (QWidget *parent=NULL)
- ~CSVParserConfigurationWidget ()
- CSVParser * buildParser (unsigned int firstLine=0, unsigned int lastLine=UINT_MAX) const
    Generate a csv parser in function of the parameters in the widget. User define the range of line to import. The user takes the ownership of the widget.
- std::string getFile () const
- bool isValid () const
- std::string getSeparator () const
- char getTextSeparator () const
- std::string getEncoding () const
- bool invertMatrix () const

## Protected Slots

- void changeFileNameButtonPressed ()
- void encodingChanged ()

## Protected Member Functions

- void fillEncodingComboBox ()
- void changeEvent (QEvent *e)

## Constructor & Destructor Documentation

tlp::CSVParserConfigurationWidget::CSVParserConfigurationWidget | ( | QWidget * | parent = `NULL` | ) |

tlp::CSVParserConfigurationWidget::~CSVParserConfigurationWidget | ( |  | ) |

## Member Function Documentation

CSVParser* tlp::CSVParserConfigurationWidget::buildParser | ( | unsigned int | firstLine = `0`,
|  | unsigned int | lastLine = `UINT_MAX`
| ) |  | const

Generate a csv parser in function of the parameters in the widget. User define the range of line to import. The user takes the ownership of the widget.

void tlp::CSVParserConfigurationWidget::changeEvent | ( | QEvent * | e | ) | `[protected]`

void tlp::CSVParserConfigurationWidget::changeFileNameButtonPressed | ( |  | ) | `[protected, slot]`

void tlp::CSVParserConfigurationWidget::encodingChanged | ( |  | ) | `[protected, slot]`

void tlp::CSVParserConfigurationWidget::fillEncodingComboBox | ( |  | ) | `[protected]`

std::string tlp::CSVParserConfigurationWidget::getEncoding | ( |  | ) | const

std::string tlp::CSVParserConfigurationWidget::getFile | ( |  | ) | const

std::string tlp::CSVParserConfigurationWidget::getSeparator | ( |  | ) | const

char tlp::CSVParserConfigurationWidget::getTextSeparator | ( |  | ) | const

bool tlp::CSVParserConfigurationWidget::invertMatrix | ( |  | ) | const

bool tlp::CSVParserConfigurationWidget::isValid | ( |  | ) | const

void tlp::CSVParserConfigurationWidget::parserChanged | ( |  | ) | `[signal]`

void tlp::CSVParserConfigurationWidget::setFileToOpen | ( | const QString & | fileToOpen | ) | `[slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2012